# Candy Shop: Solana NFT Marketplace JS Library

Candy Shop is an open source JavaScript library that allows anyone to launch an NFT marketplace on Solana in minutes.

- [Website](https://candy.liqnft.com)
- [Documentation](https://liqnft.gitbook.io/docs/candy-shop/)
- [Starter Repo](https://github.com/LIQNFT/candy-machine-v2-with-marketplace) (React app with various shop configurations out of the box)
- [Demo](https://master.d22tqykss69onq.amplifyapp.com/) (corresponds to code in `/example` folder)
- [Support](https://discord.gg/vBBFrRznNK)
- [Contribute](https://github.com/LIQNFT/candy-shop/wiki/Contribute-to-Candy-Shop)

[![Release](https://img.shields.io/npm/v/@liqnft/candy-shop?label=@liqnft/candy-shop&color=blueviolet)](https://github.com/LIQNFT/candy-shop/tags)
[![Download](https://img.shields.io/npm/dm/@liqnft/candy-shop?label=Downloads&color=blueviolet)](https://www.npmjs.com/package/@liqnft/candy-shop)
[![Release](https://img.shields.io/npm/v/@liqnft/candy-shop-sdk?label=@liqnft/candy-shop-sdk&color=yellow)](https://github.com/LIQNFT/candy-shop/tags)
[![Download](https://img.shields.io/npm/dm/@liqnft/candy-shop-sdk?label=Downloads&color=yellow)](https://www.npmjs.com/package/@liqnft/candy-shop-sdk)

<img width="1200" alt="Candy Shop Marketplace" src="https://user-images.githubusercontent.com/89616076/160229442-30f59d07-cd33-4b7d-8798-424013731f47.png">

## Why Candy Shop?
- **Open Source.** Built by developers for developers. 
- **Decentralized.** Support the decentralized movement. NFT transactions are on-chain and powered by Metaplex auction house program.
- **Easy to Integrate.** Create a fully functional marketplace in minutes.
- **Serverless.** No need to maintain your own backend to have a performant marketplace
- **Seamless User Experience.** Provide a simple and user friendly experience for browsing, buying and selling NFTs.
- **Lower Fees for Buyers.** Users save on fees when they transact on your marketplace.
- **Get a Share of Fees.** Earn 20% of the 1% transaction fee.
- **More Visibility.** Your NFT listings will be showcased on LIQNFT.com, giving your project better visibility while still retaining control and ownership of your own marketplace.

## Key Features
- Basic SOL marketplace
- Custom SPL token marketplace
- Multi-currency marketplace (e.g. SOL + SPL token)
- Multi-collection marketplace 
- Fully customized marketplace
- Auctions
- Verified NFT collections [coming soon]
- Credit card payments [coming soon]

## Install Candy Shop

To get started, please [refer to the docs](https://liqnft.gitbook.io/docs/candy-shop/getting-started).

```bash
npm install @liqnft/candy-shop
```

or

```bash
yarn add @liqnft/candy-shop
```

## Release Notes

Check out the release notes [here](https://github.com/LIQNFT/candy-shop/tags).
